import request from '@/utils/request'

// 查询用户银行卡列表
export function listUserCard(query) {
  return request({
    url: '/service/userCard/list',
    method: 'get',
    params: query
  })
}

// 查询用户银行卡详细
export function getUserCard(cardId) {
  return request({
    url: '/service/userCard/' + cardId,
    method: 'get'
  })
}

// 新增用户银行卡
export function addUserCard(data) {
  return request({
    url: '/service/userCard',
    method: 'post',
    data: data
  })
}

// 修改用户银行卡
export function updateUserCard(data) {
  return request({
    url: '/service/userCard',
    method: 'put',
    data: data
  })
}

// 删除用户银行卡
export function delUserCard(cardId) {
  return request({
    url: '/service/userCard/' + cardId,
    method: 'delete'
  })
}
